#ifndef QUEUE_H
#define QUEUE_H
#include "G168_UART_Interface.h"

typedef struct queue_ {
	int count;
	int front;
	int rear;
	char cmdList[MSG_QUEUE_DEPTH][YY_BUF_SIZE];
} Queue;

Queue *createQueue();
int enqueue(Queue *, char *);
int dequeue(Queue *, char *);
int getQueueCount(Queue *);

#endif // QUEUE_H
